////////////////////////////////////////////////////////////////// COPYRIGHT //
//
//  EVE 2.0 - Evolvable View Environment
//
//  Copyright 1997-2000, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty. 
//  In no event will the authors be held liable for any damages arising 
//  from the use of this software.
// 
//  Authors:
//      Andreas Koeller, Xin Zhang, Elke Rundensteiner
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/dsrg/EVE
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to the
//  EVE Development Team: <rundenst@cs.wpi.edu>.
//
////////////////////////////////////////////////////////////////// COPYRIGHT //
package SWEEP;

import java.io.Serializable;

public class UpdateReceiver implements java.io.Serializable{
  /**
   * Put data update into this receiver.
   * @param ISName Information Source Name
   * @param RelName Relation Name
   * @param Count Number of tuples, could be negative
   * @param Value String of the tuple, format like: "a|b|c"
   */
  public void putDataUpdate(String ISName, String RelName, int Count, String Value){
  }

  /**
   * Get data update from this receiver.
   * @param ISIndex Index of this Information Source.
   */
}
